Available Endpoints
GET
/api
Get API information and available endpoints
GET
/health
Basic health check endpoint
GET
/health/monitoring
Comprehensive health check with monitoring data
POST
/api/v1/sync/manual
Trigger manual synchronization of Google Sheets data
GET
/api/v1/projects
Get all projects with their configuration
GET
/api/v1/monitoring/metrics
Get system monitoring metrics
GET
/api/v1/monitoring/alerts
Get active monitoring alerts
GET
/api/v1/database/performance
Get database performance metrics
GET
/api/v1/database/health
Get database health status
POST
/api/v1/database/optimize
Trigger database optimization
GET
/api/v1/rate-limit/status
Get rate limiting status
GET
/dashboard
Access the web dashboard
Rate Limits
- General API: 100 requests per 15 minutes
- Sync Operations: 10 requests per hour
- Health Checks: 60 requests per minute
- Dashboard: 200 requests per 5 minutes
Authentication
Currently, the API uses IP-based rate limiting. In production, implement proper authentication.
Features
- ✅ WCAG Compliance Tracking (56 WCAG 2.2 Level A & AA success criteria)
- ✅ Real-time Sync with Google Sheets
- ✅ Multi-Project Support
- ✅ Data Integrity with conflict resolution
- ✅ Comprehensive Monitoring and Alerting
- ✅ Performance Tracking
- ✅ Database Optimization
- ✅ Rate Limiting Protection
- ✅ Input Validation